Migrate a subscription to a new plan
POST
/subscription/migration
billing.funnelfox.comSwitch an active subscription to a different Price Point (plan).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”org_id
required
string
Organization ID
Request bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
MigrationIn
object
reason
Reason
Short reason code (e.g., “duplicate_payment”, “unauthorized_charge”)
string
comment
Comment
Human-readable comment or reference (e.g., support ticket link)
string
external_id
Customer Id
Your unique identifier for the user
string
subs_id
required
Subs Id
string format: uuid
pp_ident
required
price point ident
Unique identifier of the price point
string
strategy
MigrationStrategy
string
dry_run
Dry Run
boolean
strict_mode
Strict Mode
boolean
Responses
Section titled “Responses”Media typeapplication/json
MigrationOut
object
payment_result
Any of:
CheckoutMigrationPaymentOut
Show 3 propertiesHide properties
checkout_status
required
CheckoutPaymentStatus
string
failed_message_for_user
required
Failed Message For User
string
order_id
required
string format: uuid
subs_id
string format: uuid
oneoff_id
string format: uuid
migration_strategy
required
MigrationStrategy
string